description

# CertificateException class Null safety

An exception that happens in the handshake phase of establishing a secure network connection, when looking up or verifying a certificate.

Inheritance
  - Object
  - TlsException
  - CertificateException

## Constructors

CertificateException([String message = "", OSError? osError])
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
message → String
  final, inherited
osError → OSError?
  final, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → String
  final, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited